https://azure.com/providers/Microsoft.Subscription/subscriptionOperations/{operationId}Retrieves the status of the subscription definition PUT operation. The URI of this API is returned in the Location field of the response header.
The operation ID, which can be found from the Location field in the generate recommendation response header.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/providers/Microsoft.Subscription/subscriptionOperations/{operationId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://azure.com/providers/Microsoft.Subscription/subscriptionOperations/{operationId}Retrieves the status of the subscription definition PUT operation. The URI of this API is returned in the Location field of the response header.
The operation ID, which can be found from the Location field in the generate recommendation response header.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/providers/Microsoft.Subscription/subscriptionOperations/{operationId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}